<template>
  <CModal
    :show.sync="visible"
    :centered="false"
    :close-on-backdrop="false"
    @open="$emit('open')"
    @close="$emit('close')"
  >
    <template #header>
      <h6 class="modal-title">
        <font-awesome-icon :icon="['fas', 'info-circle']" />
        Delete Confirmation
      </h6>
      <CButtonClose @click="onCancel" />
    </template>

    <div class="box-content text-center">
      <font-awesome-icon :icon="['fas', 'info-circle']" size="4x" class="text-warning" />
      <p class="mb-0">
        {{ $text.confirm('DELETE', { name }) }}
      </p>
    </div>

    <template #footer>
      <CButton color="danger" @click="onConfirm">
        Yes, delete it!
      </CButton>
      <CButton color="secondary" @click="onCancel">
        No, cancel!
      </CButton>
    </template>
  </CModal>
</template>

<script>
export default {
  props: {
    /**
     * The name of the item you want to delete
     */
    name: {
      type: String,
      default: ''
    }
  },

  data () {
    return {
      visible: false
    }
  },

  methods: {
    /**
     * Open dialog
     */
    open () {
      this.visible = true
    },

    /**
     * When you click Delete button
     * Close dialog
     */
    onConfirm () {
      this.visible = false
      this.$emit('confirm')
    },

    /**
     * When you click Cancel button
     */
    onCancel () {
      this.visible = false
    }
  }
}
</script>
